#building metabolic network from Picrust CD mice data
#also going to look at terminal metabolites
#7-17-2014

library(data.table)
library(glmnet)
library(gplots)
library(RColorBrewer)

mice_genes = read.table("CD_mice_data/mice_metagenome_predictions.txt", sep = "\t", quote="")
mice_mets = read.table("CD_mice_data/mets_kegg_good.txt", quote="",header=T, sep = "\t") 
names(mice_mets) = gsub("_","",names(mice_mets))
names(mice_genes) = gsub("NoAbx6wkrec","NoAbx6wk", names(mice_genes))
mice_genes = mice_genes[,1:31]
mice_genes = mice_genes[,order(names(mice_genes))]
mice_genes = mice_genes[apply(mice_genes,1,sum)!=0,]
mice_genes = data.frame(KO = row.names(mice_genes),mice_genes)
mice_mets = mice_mets[,c(5:35,37)]
mice_mets = mice_mets[,c(order(names(mice_mets)[1:31]),32)]
all_subs = sort(intersect(names(mice_genes), names(mice_mets)))
mice_genes = mice_genes[,c("KO",all_subs)]
mice_mets = mice_mets[,c(all_subs,"KEGG")]
write.table(mice_genes, file = "CD_mice_data/mice_genes_good.txt", sep = "\t", quote=F, row.names=F)
write.table(mice_mets, file = "CD_mice_data/mice_mets_good.txt", sep = "\t", quote=F, row.names=F)
control_mice = grepl("NoAbx",all_subs)
control_mice_genes = mice_genes[,c("KO",all_subs[control_mice])]
control_mice_mets = mice_mets[,c(all_subs[control_mice],"KEGG")]
control_mice_genes = control_mice_genes[apply(control_mice_genes,1,function(x){ sum(as.numeric(x[2:17]))})!=0,]
write.table(control_mice_genes, file = "CD_mice_data/healthy_mice_genes.txt",sep="\t",quote=F, row.names=F)
write.table(control_mice_mets,file = "CD_mice_data/healthy_mice_mets.txt",sep="\t",quote=F,row.names=F)


final_mice_genes = read.table("CD_mice_data/all_shhh_trim_chimerafilt_otus/metagenome_predictions.txt", 
                              header=T, sep = "\t", quote="")
final_mice_genes = final_mice_genes[,c("KO",sort(names(final_mice_genes)[2:30]))]
names(final_mice_genes) = gsub("NoAbx6wkrec","NoAbx6wk", names(final_mice_genes))
final_mice_genes = final_mice_genes[apply(final_mice_genes[,2:30],1,sum)!=0,]

write.table(final_mice_genes, file = "CD_mice_data/final_final_mice_genes_good.txt", quote=F, row.names=F, sep = "\t")




control_mice_genes = musicc_ref[,c("KO", good_subjects[grepl("NoAbx",good_subjects)])]
write.table(control_mice_genes, file = "CD_mice_data/healthy_mice_genes.txt", sep = "\t", quote=F, row.names=F)
control_mice_mets = mets[,c(good_subjects[grepl("NoAbx",good_subjects)], "KEGG")]
write.table(control_mice_mets, file = "CD_mice_data/healthy_mice_mets.txt", sep = "\t", quote=F, row.names=F)


subsampled = read.table("CD_mice_data/final.gg.subsampled.txt",header=T,row.names=1)


